Bug 152344 - [65cat] java.util.NoSuchElementException at java.util.AbstractList$ListItr.previous
[65cat] java.util.NoSuchElementException at java.util.AbstractList$ListItr.pr...
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Editing
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 65fixes3-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 19:27 UTC by rajivderas
Modified: 2009-03-16 16:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.61 KB, text/plain)
2008-11-04 19:27 UTC, rajivderas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rajivderas 2008-11-04 19:27:36 UTC
Build: NetBeans IDE Dev (Build 200811011401)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP, 5.1, x86

User Comments:
rajivderas: happened when pressing ctrl+space key to auto complete values in editor

GUEST: editing a rjs file

rajivderas: happened when pressing ctrl+space key to auto complete values in editor



Stacktrace: 
java.util.NoSuchElementException
        at java.util.AbstractList$ListItr.previous(AbstractList.java:394)
        at org.netbeans.modules.ruby.AstPath$LeafToRootIterator.next(AstPath.java:300)
        at org.netbeans.modules.ruby.AstPath$LeafToRootIterator.next(AstPath.java:288)
        at org.netbeans.modules.ruby.RubyCodeCompleter.computeMethodCall(RubyCodeCompleter.java:1493)
        at org.netbeans.modules.ruby.RubyCodeCompleter.addParameters(RubyCodeCompleter.java:1616)
        at org.netbeans.modules.ruby.RubyCodeCompleter.complete(RubyCodeCompleter.java:2249)
Comment 1 rajivderas 2008-11-04 19:27:48 UTC
Created attachment 73234 [details]
stacktrace
Comment 2 Torbjorn Norbye 2008-11-07 02:04:14 UTC
Fixed in changeset c5ee901d994f.
Comment 3 pgebauer 2008-11-24 09:30:14 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 4 jinb 2009-01-07 19:41:30 UTC
QA, please verify this fix till 14-Jan-2009, so it can be part of NB 6.5 patch 2.
Comment 5 pgebauer 2009-01-14 09:54:41 UTC
The issue hasn't passed the nomination process for 65patch2 by cut-off date. It has been moved to 65patch3.
Comment 6 Erno Mononen 2009-02-27 06:35:42 UTC
Transplanted to release65_fixes as d5b1a41bedea.
Comment 7 Martin Schovanek 2009-02-27 08:13:18 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo